#
# spec file for package plasmoid-active-window-control
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           plasmoid-active-window-control
Version:        1.7.3
Release:        1.1
Summary:        Plasma 5 applet for controlling currently active window
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            https://github.com/kotelnik/plasma-applet-active-window-control
Source:         plasma-applet-active-window-control-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  extra-cmake-modules
BuildRequires:	kconfig-devel
BuildRequires:	kconfigwidgets-devel
BuildRequires:	kdeclarative-devel
BuildRequires:	kdoctools-devel
BuildRequires:	kglobalaccel-devel
BuildRequires:	ki18n-devel
BuildRequires:	kwindowsystem-devel
BuildRequires:	kxmlgui-devel
BuildRequires:	plasma-framework-devel
BuildRequires:	plasma5-workspace-devel
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5QuickWidgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  libSM-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma 5 applet for controlling currently active window

%prep
%setup -q -n plasma-applet-active-window-control-%{version}

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%fdupes -s %{buildroot}
%find_lang plasma_applet_org.kde.activeWindowControl %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.md
%doc LICENSE
%{_libdir}/qt5/qml
%{_kf5_plugindir}/
%{_kf5_plasmadir}/
%{_kf5_servicesdir}/
%{_datadir}/metainfo
%changelog
* Fri Jun  9 2017 cornelis@solcon.nl
- Update to 1.7.3:
  * Fix plasma 5.8 compatability
- Removed now integrated plasma-58-support.patch
* Thu Jun  8 2017 fabian@ritter-vogt.de
- Replace revert-5.10-compatability.diff with proper upstream fix:
  * plasma-58-support.patch
* Wed Jun  7 2017 cornelis@solcon.nl
- Add header to spec and info for patch to prepare submitting to
  KDE:Extra
* Sun Jun  4 2017 cornelis@solcon.nl
- Update to released 1.7.2
- Add revert-5.10-compatability.diff for Leap versions
* Thu Jun  1 2017 cornelis@solcon.nl
- Return to commit 20af041e0682d28e3c4f8a46817511892f867f10, the
  last one working.
* Thu Apr 20 2017 cornelis@solcon.nl
- Update to git
* Thu Mar 16 2017 cornelis@solcon.nl
- Added Keep-showing-buttons.patch: keep showing buttons when
  appMenu is visible and its popup menu is shown
* Fri Mar  3 2017 cornelis@solcon.nl
- 1.7.1
* Tue Feb 21 2017 cornelis@solcon.nl
- Inital package
